Bug 1488358

Summary: Slow Initialization of LLDP on failure
Product: [oVirt] vdsm Reporter: Dominik Holler <dholler>
Component: SuperVDSMAssignee: Dominik Holler <dholler>
Status: CLOSED CURRENTRELEASE QA Contact: Michael Burman <mburman>
Severity: high Docs Contact:
Priority: unspecified    
Version: 4.19.30CC: bugs, lveyde, mburman
Target Milestone: ovirt-4.1.6Flags: rule-engine: ovirt-4.1+
rule-engine: exception+
Target Release: 4.19.31   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: vdsm v4.19.31 Doc Type: No Doc Update
Doc Text:
undefined
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-09-19 10:02:16 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: Network RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Attachments:
Description Flags
supervdsm.log none

Description Dominik Holler 2017-09-05 08:18:48 UTC
Created attachment 1322110 [details]
supervdsm.log

Description of problem:

Initialization of LLDP uses lldpad internally. The usage of lldpad/lldptool in VDSM may be slowed down by problems like #1479767 and blocks the initialization of supervdsmd. In the attached example the unsuccessful initialization took 16 seconds for three interfaces.

Version-Release number of selected component (if applicable):
 4.19.30

How reproducible:

Restarting supervdsmd on a system which is affected by #1479767.

Steps to Reproduce:
1. systemctl restart supervdsmd
2.
3.

Actual results:

Failing initialization may take up to four seconds per network interface.

Expected results:

Failing initialization may take up to two seconds.

Additional info:

Comment 1 Michael Burman 2017-09-10 10:44:51 UTC
Verified on - vdsm-4.19.31-1.el7ev.x86_64